use crate::errors::SecureRandErrors;
use crate::bip39::{SlugBIP39Languages,SlugBIP39Words};
use crate::bip39::SlugMnemonic;

pub trait GenerateWithBIP39: Sized {
    fn generate_with_bip39() -> Result<Self,SecureRandErrors>;
    fn generate_with_bip39_adv<T: AsRef<str>>(mnemonic: SlugMnemonic, pass: T) -> Result<Self,SecureRandErrors>;
}